package module

import (
	"github.com/huoxue1/min-report/pojo"
	"xorm.io/xorm"
)

type ReportEngine struct {
	*xorm.Engine
}

var (
	reportEngine *ReportEngine
)

func newReportEngine() *ReportEngine {
	return &ReportEngine{engine}
}

func GetReportEngine() *ReportEngine {
	if reportEngine == nil {
		reportEngine = newReportEngine()
	}
	return reportEngine
}

func (r *ReportEngine) Insert(data *pojo.ReportData) (int64, error) {
	return r.Engine.Insert(data)
}
